<h2>Enter API Keys</h2>
<form>
  <mat-form-field class="w-100">
    <input matInput [(ngModel)]="apiKeyUserAgent" name="apiKeyUserAgent" placeholder="User agent API Key" [type]="hideUserAgentZone ? 'password' : 'text'">
    <mat-icon matSuffix class="api-icon" (click)="hideUserAgentZone = !hideUserAgentZone">{{hideUserAgentZone ? 'visibility_off' : 'visibility'}}</mat-icon>
</mat-form-field>

  <mat-form-field class="w-100">
    <input  matInput [(ngModel)]="apiKeyCatalogue" name="apiKeyCatalogue" placeholder="Catalogue API Key" [type]="hideCatalogueZone ? 'password' : 'text'">
    <mat-icon matSuffix class="api-icon" (click)="hideCatalogueZone = !hideCatalogueZone">{{hideCatalogueZone ? 'visibility_off' : 'visibility'}}</mat-icon>
</mat-form-field>

  <div mat-dialog-actions class="save-api-keys">
    <button mat-button (click)="saveKeys()" class="save-api-keys-button">Save</button>
  </div>
</form>
